package nc.ui.gl.accbook;

import java.util.Hashtable;
import nc.ui.pub.formulaparse.FormulaParse;
import nc.vo.pub.lang.UFDouble;

public class GLCurrencyControl {

   static Hashtable m_hCurrency = new Hashtable();


   public static UFDouble getFormat(int iPos, UFDouble je) {
      if(je == null) {
         je = new UFDouble(0.0D);
      }

      return je.setScale(iPos, 4);
   }

   public static UFDouble getFormat(String currencyOID, UFDouble je) {
      if(je == null) {
         je = new UFDouble(0.0D);
      }

      if(currencyOID != null) {
         je = je.setScale(setCurrencyType(currencyOID), 4);
      }

      return je;
   }

   public static int getScales(String sCurrOid) {
      return setCurrencyType(sCurrOid);
   }

   public static void main(String[] args) {
      GLCurrencyControl c1 = new GLCurrencyControl();
      setCurrencyType("00010000000000000002");
   }

   public static int setCurrencyType(String currOID) {
      FormulaParse parse = new FormulaParse();
      String formuls = "getColValue(bd_currtype, currdigit,  pk_currtype, pk)";
      String s1 = "2";
      byte iScale = 2;
      if(currOID != null && currOID.trim().length() != 0) {
         int iScale1;
         if(m_hCurrency.containsKey(currOID)) {
            iScale1 = Integer.parseInt(m_hCurrency.get(currOID).toString());
         } else {
            parse.setExpress(formuls);
            Hashtable h1 = new Hashtable();
            h1.put("pk", currOID);
            parse.setData(h1);
            s1 = parse.getValue();
            iScale1 = Integer.parseInt(s1);
            m_hCurrency.put(currOID, iScale1 + "");
         }

         return iScale1;
      } else {
         return iScale;
      }
   }

}
